import { useMutation } from '@tanstack/react-query';

import { chatQueryKeys } from '../chat-query-keys';
import { chatApi, type PostReactToGroupMessage } from '../chat-api';

import type { BaseAxiosError } from '../../../../types';
import { ResponseType } from '@api/response-type';

export const usePostReactToGroupMessageMutation = () => {
  return useMutation<ResponseType, BaseAxiosError, PostReactToGroupMessage, ResponseType>({
    mutationKey: chatQueryKeys.reactToGroupMessage(),
    mutationFn: async (data) => {
      const response = await chatApi.reactToGroupMessage(data);
      return response.data;
    }
  });
};
